<script setup>
import { Head } from '@inertiajs/vue3';
import Nav from '@/Shared/Nav.vue';
import Header from '@/Shared/Header.vue';
import Footer from '@/Shared/Footer.vue';

const props = defineProps({
    title: {
        type: String,
        default: null
    },
});
</script>

<template>
    <section>
        <Head :title="title" />
    </section>

    <section>
        <Header />
    </section>

    <section class="grid grid-cols-12">
        <div class="col-span-2 bg-slate-200 p-6">
            <Nav
                :user="$page.props.user"
            />
        </div>
        <div class="col-span-8 min-h-screen bg-gray-100 p-6">
            <slot />
        </div>
        <div class="col-span-2 bg-slate-200 p-6">
            &nbsp;
        </div>
    </section>

    <section>
        <Footer />
    </section>
</template>
